Installation Problems

Help
Spedwards
2011-10-28
2012-09-14
  • Spedwards

    Spedwards - 2011-10-28

    Ok I am trying to install the newest version (1.93) and because the
    installation fails I'm doing the manual installation and after following all
    of it, I still end up at the installation page at step 7.

    I was trying to upgrade from 0.14.6-dev but I don't really know what I'm doing
    so I am doing a fresh install but replacing config.lib.php.

    My site is http://unkown.tyreus.com/ <= will
    direct to old chat. New chat => http://unkown.tyreus.com/chatter/plus.

     
  • Ciprian Murariu

    Ciprian Murariu - 2011-10-28

    Hi. It seems to me that the last step fails. The script is supposed to delete
    the plus/install/install.php file from the server, but it can fail due to
    chmod restrictions.

    Delete it manually and try again.

    Let me know.

    Ciprian.

     
  • Spedwards

    Spedwards - 2011-10-29

    Thanks for the quick reply. I deleted the file and got this error:

    Database error: Invalid SQL: DELETE FROM WHERE time<1319870460
    MySQL error: 1064 (You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'WHERE time<1319870460' at line 1)
    Session halted.
    

    So what do I have to do?

     
  • Ciprian Murariu

    Ciprian Murariu - 2011-10-29

    Check your config.lib.php. Make sure it's not the one copied from the old
    chat. Also the database must be the new one.

    If you refer to the old db (one used by 0.14.0) then make sure you upgraded
    it.

    You might want to read the install/manual installation/Manual instructions.txt
    and check those steps, one-by-one, including the permissions of the
    folders/files you must set. I think your automatic setup didn't go well
    yesterday...

    Did you get my direct email about 1.94-b6?

     
  • Spedwards

    Spedwards - 2011-10-29

    I haven't checked my emails yet but I was following the manual installation.
    My database from the old chat has been upgraded.

    I fixed up the config.lib.php file but when I upload it says:

    Database error: Invalid SQL: DELETE FROM C_LRK_TBL WHERE time<1319880582
    MySQL error: 1146 (Table 'spedwar_mychat1.C_LRK_TBL' doesn't exist)
    Session halted.
    

    Now I don't know MySQL or php but it doesn't take a genius to know I'm missing
    the lurkers table. Can you tell me how to add it?

     
  • Spedwards

    Spedwards - 2011-10-29

    Btw, I checked my emails and I have no email from you. Make sure you sent it
    here.

     
  • Ciprian Murariu

    Ciprian Murariu - 2011-10-29

    If it can't find the C_LRK_TBL, it either means the database your using is
    wrong, or the upgrade of that db didn't take place.

    You needed to run in a SQL window of your phpmyadmin, in the desired db
    (mychat) the install/manual install/database/mysql_upgrade_std_0.14-0.15.txt.

    You certainly didn't correctly followed the steps. We fix it as per my direct
    email.

    Ciprian

     
  • Spedwards

    Spedwards - 2011-10-29

    Ok yeh I think I used the wrong upgrade file...

    Waiting for an emal :)

     

Log in to post a comment.